Bug 42790 - dual eepro100 bootnet.img fails
Summary: dual eepro100 bootnet.img fails
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-30 04:21 UTC by Need Real Name
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 13:03:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-05-30 04:21:00 UTC
Description of Problem:

7.1 bootnet.img fails to initialize either eth0 or eth1 (when chosen
in dialog prompt) when both are eepro100 devices.  symptom is both
assigned same IRQ if you check on the kernel messages VC.

further steps such as DHCP, or ftp after manual IP configuration,
fail to establish network connections.

SGI RH7.1+XFS modified bootnet.img does not have this problem on
the same hosts.


How Reproducible:

host: intel 440GX server platform, dual 550 MHz PIII,
onboard and PCI card eepro100 adapters; ours are VALinux nodes.

Steps to Reproduce:
1. obtain platform 
2. boot with bootnet.img
3. choose an interface and try to continue


Actual Results:

stuck at point where network traffic is attempted, as if
network link is failing.

Expected Results:

boot into 2nd-stage ramdisk.

Additional Information:

Comment 1 Brent Fox 2001-05-31 19:03:11 UTC
The installer does not assign IRQ's.  This must be specific to the hardware
becuase I've used quite a few Compaq's with dual on-board eepro100 NICs with no
problems.  Reassiging to the kernel.

Comment 2 Arjan van de Ven 2001-05-31 19:08:09 UTC
Let me guess: the SMP kernel works just fine.
You can use the bootdisk from
http://people.redhat.com/dledford/440gx
for this, if you provide the "apic" parameter to syslinux.
This is a bug in the BIOS where it gives misinformation about IRQ routing
on the motherboard.

Comment 3 Alan Cox 2003-06-06 13:03:49 UTC
Closed: Inactive


Note You need to log in before you can comment on or make changes to this bug.